<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<html>
<head>
	<style type="text/css">
	/*
		body {
			font-family: serif;
			background: #deb887;
		}
		h1,h4,h2 {
			margin:0;
		}
		.file {
			border:1px lightgray solid;
			margin-bottom:0.5em;
		}
		.file h2 {
			padding:0.25em;
			border-bottom:1px lightgray solid;
		}
		ol {
			font-weight:bold;
		}
		ol li {
			font-weight:normal;
			margin-bottom:0.5em;
		}
		pre {
			border:1px lightgray solid;
			padding:0.5em;
			background: black;
			color: lightgreen;
			margin:0.25em;
		}
	*/	
	</style>
</head>
<body>
	<h1><xsl:value-of select="modification/id"/></h1>
	<h4>Version: <xsl:value-of select="modification/version"/></h4>
	<h4>(VQMod required version: <xsl:value-of select="modification/vqmver"/>)</h4>
	<h4>Author: <xsl:value-of select="modification/author"/></h4>

	<xsl:for-each select="modification/file">
		<div class="file">
			<h2><xsl:value-of select="./@name"/></h2>
			<ol>
				<xsl:for-each select="./operation">
					<li>
						Search <strong><xsl:value-of select="./search/@position"/></strong>:
						<pre><code class="php"><xsl:value-of select="./search"/></code></pre>
						Add:
						<pre><code class="php"><xsl:value-of select="./add"/></code></pre>
					</li>
				</xsl:for-each>
			</ol>
		</div>
	</xsl:for-each>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
